Wikia

Freeciv

Ubuntu how to update freeciv

623pages on
this wiki

Forum page

Forums: Index > Playing Freeciv > Ubuntu how to update freeciv


Hi,

I use Ubuntu these days (currently on Jaunty), but I am not any kind of wiz at it. So I used package manager to install the last version (2.1.8) and it is missing the rivers. So I am trying to work out how to update it to 2.1.9.

Package manager only lists 2.1.8 and I cant find an update feature. There does not seem to be one.

Try getdeb.net[1] -SwordKing 7-Sept-09

I dl'd 2.1.9 source and read the installation notes but I really dont understand how to do what it is saying to do.

Can anyone help me install it instead of 2.1.8?

We release Freeciv source packets (latest is 2.1.9). Distributions, such as Ubuntu, take our releases and build binary packages for their releases. Ubuntu usually provides just one version of Freeciv for each Ubuntu release (there could be security updates). Ubuntu Jaunty has freeciv 2.1.8. Development version of upcoming Ubuntu Karmic seems to have freeciv 2.1.9.
Since Ubuntu is not providing binary packages of freeciv-2.1.9, you have to compile freeciv yourself from sources. Or maybe you could take freeciv-2.1.9 packet from Ubuntu Karmic repository and install it to Jaunty. --Cazfi 20:25, 6 August 2009 (UTC)


Thanks for the reply Cazfi. I am struggling to understand how to compile or add the Karmic repository to Jaunty for that matter. In the interim I am trying Karmic on a spare system I built from older parts (an Athlon 2000xp etc) to see if it will run stable enough for me to get a freeciv game. I know I should learn how to compile stuff but at the moment it seems quite a steep curve!

Update on this: I tried updating Jaunty to Karmic on my old rig and then installed freeciv 2.1.9. But the machine locked once and then just wouldnt load freeciv at all.

So then I figured out how to add the karmic repository to Jaunty (much easier then I thought) on my main rig and it allowed me to get freeciv 2.1.9 on that. But its very buggy. The main problem being the city map is not visible so I cant move squares being farmed.

So now I will have to try compiling it. I am going to have a go now but if anybody can write a short 'how to compile freeciv 2.1.9 on Ubuntu Jaunty for dummies' I would be grateful.

Instead of 2.1.9 release I recommend you to get HEAD of S2_1 branch from version control with all the latest bugfixes and compile it.
> sudo apt-get install subversion
> mkdir -p freeciv/S2_1
> cd freeciv/S2_1
> svn checkout svn://svn.gna.org/svn/freeciv/branches/S2_1 src
> mkdir build
> cd build
> ../src/autogen.sh # This may give you some errors because you are missing required packets. Fix those with 'sudo apt-get install' and retry.
> make
> ./civ # Run client

Around Wikia's network

Random Wiki